<?php
	class event
	{
		public function render()
		{
			$this->config = parse_ini_file('config/config.ls', true) or $message = "Error: Can't read config";
			include("lang/".$this->config['main']['lang'].".php");
			$message = "";
			$file = null;
			if( $_GET['arg1'] )
			{
				$this->log = array();
				$this->event = parse_ini_file('events/'.$_GET['arg1'].'.ls', true) or $message = "Error: Can't read config";
				
				if( $this->event['config']['base'] != null )
				{
					$basefile = $this->event['config']['base'];
				}
				else
				{
					$basefile = $this->config['main']['database'];
				}
				
				$this->base = parse_ini_file('base/'.$basefile.'.ls', true) or $message = "Error: Can't read config";
				
				
				if( file_exists( 'logs/'.$_GET['arg1'].'.ls' ) )
				{
					$this->log = parse_ini_file('logs/'.$_GET['arg1'].'.ls', true);
				}
				
				
				# obsługa kodowania haseł
				if( $this->config['security']['encoding'] != false)
				{
					$password = hash($this->config['security']['encoding'], $_POST['password']);
				}
				else
				{
					$password = $_POST['password'];
				}
				
				# sprawdzanie czy już się logował (jeśli jest włączone)
				if( isset($this->log[$_POST['login'].'-upload']) && $this->event['config']['multilogins']==false )
				{
					$message = $lang['LOGGED'];
				}
				
				# obsługa braku zawodnika w bazie
				else if( empty($this->base[$_POST['login']]) )
				{
					$message = $lang['BAD_LOGIN'];
				}
				# komunikat o nieprawidłowym haśle
				else if( $this->base[$_POST['login']] != $password )
				{
					$message = $lang['INVALID_PASSWORD'];
				}
				# komunikat o niezdefiniowanym evencie dla zawodnika
				else if( !empty($this->event['names']['suffix']) && $this->event['config']['onetrack'] == false )
				{
					$message = $lang['EVENT_NOT_DEFINED'];
				}
				else if( $this->base[$_POST['login']] == $password )
				{
					$suffix = ($this->event['config']['onetrack']) ? $this->event['names']['suffix'] : $this->event['players'][$_POST['login']];
					$data = array(
							'login' => $_POST['login'],
							'event' => $_GET['arg1'],
							'time' => date('d.m.Y, H:i:s')
						);
					
					$file = $this->config['dir']['download'].'/'.$this->event['dir']['download'].'/'.$this->event['names']['track'].$suffix.'.zip';
					
					if( !file_exists( $file ) )
					{
						$message = $lang['TRACK_NOT_EXISTS'];
					}
					else
					{
						LoginSystem::write_log($data['event'], 'event', $data['login'], $_SERVER['REMOTE_ADDR'], $_SERVER['REMOTE_PORT'], $data['time'], null);
						
					}
				}
				else
				{
					$message = $lang['UNEXPECTED'];
				}
			}
			else
			{
				$message = $lang['NO_EVENT'];
			}
			
			include('view/module/event.php');
			
		}
	}
?>